[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Improve the way rpm decides what is newer



Am 2009-11-21 11:00, schrieb drago01:
On Sat, Nov 21, 2009 at 10:49 AM, Conrad Meyer<cemeyer u washington edu>  wrote:
On Saturday 21 November 2009 01:38:35 am drago01 wrote:
We should just use release epochs, people might hate them for whatever
reasons, but they would easily prevent such issues from happing.

The problem with this system, which has been pointed out before, is that
upgrades using the Fedora N release DVD on an up-to-date Fedora N-1 system
will replace newer versions of packages with older ones -- this is bad.

"Bad" .. a yum update after the upgrade will fix it.

What if the new version is incompatible? New versions are normally upwards compatible but not backware compatible.

Say you install a new mysql, then upgrade the tables, newer mysql will read those tables, but not older mysql.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]